Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Interface FileItemIterator

    public interface FileItemIterator

An iterator, as returned by `FileUploadBase.getItemIterator(RequestContext)`.

Method Summary
`boolean` | `hasNext()` Returns, whether another instance of `FileItemStream` is available.
`FileItemStream` | `next()` Returns the next available `FileItemStream`.

Method Detail

### hasNext

    boolean hasNext()
                    throws FileUploadException,
                           IOException

  Returns, whether another instance of `FileItemStream` is available.

  Returns:
    True, if one or more additional file items are available, otherwise false.
  Throws:
    `FileUploadException` - Parsing or processing the file item failed.
    `IOException` - Reading the file item failed.

### next

    FileItemStream next()
                        throws FileUploadException,
                               IOException

  Returns the next available `FileItemStream`.

  Returns:
    FileItemStream instance, which provides access to the next file item.
  Throws:
    `NoSuchElementException` - No more items are available. Use `hasNext()` to prevent this exception.
    `FileUploadException` - Parsing or processing the file item failed.
    `IOException` - Reading the file item failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.